2

I am dealing with a line layer which I am unable to import properly into GRASS. After some work solving dangles and invalid geometry issues I managed to import it, nevertheless when I try to use v.clean.break the software is giving this message:

"Intersection with points is not yet supported"

I have no idea how to deal with it.

Looking for help.

Link to file: line layer.

3 Answers 3

4

I think I found the problem: in the original shapefile there seems to be a line of 0 length. THat's what is causing the "Intersection of points..." error. All you need to do is run v.clean with both the rmline and the break tools:

GRASS 7.4.0 (UTM17S):~/> v.import a_linefeaturefile.shp output=a_line --o
GRASS 7.4.0 (UTM17S):~/ > v.clean a_line out=a_line_clean tool=rmline,break --o
1

I got the error when using operator=or and solved it by decreasing the snap value from 0.2 to 0.0001.

1
  • Got this error with v.overlay 'or' & 'not'. Decreasing snap worked in both cases.
    – vinh
    Commented Sep 12, 2019 at 13:45
1

I got this error with r.contour. Fixed it by setting "minimum number of points for a contour" to 1 (default was 0).

1
  • this should be the default for this function
    – Kapanther
    Commented Jun 14, 2022 at 15:04

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.